k = int(input())  # Вводим этаж, на котором живет Катя

# Преобразуем число k в строку, инвертируем его цифры и удаляем ведущие нули
mirrored_number = str(k)[::-1].lstrip('0')

print(mirrored_number)
